List all Payouts
Retrieve a list of payouts.
- Production
- Sandbox
GET/v1/payouts
curl -X GET 'https://api.minteo.finance/v1/payouts' \-H 'Authorization: Bearer <your-api-key>'GET/v1/payouts
curl -X GET 'https://api.sandbox.minteo.finance/v1/payouts' \-H 'Authorization: Bearer <your-api-key>'RESPONSE
{ "output": [ { "id": "d5e5262c-5697-408d-bb9b-48c3cf8c2f89", "created_at": "2024-10-18T01:43:02.763Z", "updated_at": "2024-10-18T01:43:02.763Z", "finished_at": null, "fee_type": "DEDUCTED_FROM_ITEM_AMOUNT", "fee_amount": "700", "transfer_amount": "2000", "refunded_amount": null, "status": "PENDING", "status_code": "AWAIT_PROCESSING", "origin_source_id": "2af83836-43ea-407b-ab4e-9c64ee817b28", "public_data": { "creator_type": "SYSTEM", "creator_identifier": "pKwqg9A7F832CAIX", "deposit_wallet_address": "0x6f2D66cF59Cf6C1c2609f0127c91A480020dC2fd" }, "activities": [ { "type": "CREATE_PAYOUT", "status": "SUCCEEDED", "last_update_at": "2024-10-18T01:43:02.761Z" }, { "type": "AWAIT_PROCESSING", "status": "PENDING", "last_update_at": "2024-10-18T01:43:02.761Z" } ] } ], "code": "OK"}Endpoint
GET
/v1/payoutsScope
payouts:all
Request
Query Parameters
All these parameters are optional.
pageintegerThe number of the page to return.
pageSizeintegerThe number of the size of the page.
statusPENDINGABORTED
IN_PROGRESS
FULFILLED
The status of the payouts to retrieve
Response
outputArray<Payout>The list of payouts.
codestringThe response status code text.